# Class PublishToMavenRepository.RepositorySpec.Configured

java.lang.Object
org.gradle.api.publish.maven.tasks.PublishToMavenRepository.RepositorySpec
org.gradle.api.publish.maven.tasks.PublishToMavenRepository.RepositorySpec.Configured

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `PublishToMavenRepository.RepositorySpec`

static class PublishToMavenRepository.RepositorySpec.Configured extends PublishToMavenRepository.RepositorySpec implements Serializable

Since:
  1.4

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class PublishToMavenRepository.RepositorySpec

  `PublishToMavenRepository.RepositorySpec.Configured, PublishToMavenRepository.RepositorySpec.CredentialsSpec, PublishToMavenRepository.RepositorySpec.DefaultRepositorySpec`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) final org.gradle.api.internal.artifacts.repositories.DefaultMavenArtifactRepository`
  `repository`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Configured(org.gradle.api.internal.artifacts.repositories.DefaultMavenArtifactRepository repository)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) MavenArtifactRepository`
  `get(org.gradle.internal.service.ServiceRegistry services)`

  ### Methods inherited from class PublishToMavenRepository.RepositorySpec

  `of`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### repository

    final org.gradle.api.internal.artifacts.repositories.DefaultMavenArtifactRepository repository

- ## Constructor Details

  - ### Configured

    public Configured(org.gradle.api.internal.artifacts.repositories.DefaultMavenArtifactRepository repository)

- ## Method Details

  - ### get

    MavenArtifactRepository get(org.gradle.internal.service.ServiceRegistry services)
    Specified by:
      `get` in class `PublishToMavenRepository.RepositorySpec`